Bug 1143880 - [FEAT] Exports and Netgroups Authentication for Gluster NFS mount
Summary: [FEAT] Exports and Netgroups Authentication for Gluster NFS mount
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: nfs
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiffin
QA Contact:
URL: http://www.gluster.org/community/docu...
Whiteboard:
Depends On:
Blocks: 927986 1177522
TreeView+ depends on / blocked
 
Reported: 2014-09-18 08:03 UTC by Jiffin
Modified: 2016-06-16 12:39 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-16 12:39:37 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Jiffin 2014-09-18 08:03:52 UTC
Description of problem:


This feature adds Linux-style exports & netgroups authentication to Gluster's NFS server. More specifically, this feature allows you to restrict access to specific clients & netgroups for both Gluster volumes and subdirectories within Gluster volumes

Comment 1 Anand Avati 2014-09-18 08:25:31 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#3) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 2 Anand Avati 2014-09-19 06:33:14 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#4) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 3 Anand Avati 2014-10-08 11:05:37 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#5) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 4 Anand Avati 2014-10-09 06:29:41 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#6) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 5 Anand Avati 2014-10-09 09:55:20 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#7) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 6 Anand Avati 2014-10-09 12:27:20 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#8) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 7 Niels de Vos 2014-12-03 12:52:44 UTC
This feature is planned for GlusterFS 3.7:
- http://www.gluster.org/community/documentation/index.php/Features/Exports_Netgroups_Authentication

Comment 8 Anand Avati 2014-12-29 19:39:22 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#9) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 9 Anand Avati 2014-12-29 19:39:25 UTC
REVIEW: http://review.gluster.org/9359 (core: add generic parser utility) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 10 Anand Avati 2014-12-29 19:39:28 UTC
REVIEW: http://review.gluster.org/9360 (nfs: add structures and functions for parsing netgroups) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 11 Anand Avati 2014-12-29 19:39:31 UTC
REVIEW: http://review.gluster.org/9361 (nfs: add support for separate 'exports' file) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 12 Anand Avati 2014-12-29 19:39:34 UTC
REVIEW: http://review.gluster.org/9362 (nfs: more fine grained authentication for the MOUNT protocol) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 13 Anand Avati 2014-12-29 19:39:37 UTC
REVIEW: http://review.gluster.org/9363 (nfs: add auth-cache for the MOUNT protocol) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 14 Anand Avati 2014-12-29 19:39:40 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 15 Anand Avati 2014-12-29 19:39:43 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 16 Anand Avati 2015-01-01 12:17:02 UTC
REVIEW: http://review.gluster.org/9362 (nfs: more fine grained authentication for the MOUNT protocol) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 17 Anand Avati 2015-01-01 12:17:05 UTC
REVIEW: http://review.gluster.org/9363 (nfs: add auth-cache for the MOUNT protocol) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 18 Anand Avati 2015-01-01 12:17:08 UTC
REVIEW: http://review.gluster.org/9360 (nfs: add structures and functions for parsing netgroups) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 19 Anand Avati 2015-01-01 12:17:11 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#10) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 20 Anand Avati 2015-01-01 12:17:13 UTC
REVIEW: http://review.gluster.org/9361 (nfs: add support for separate 'exports' file) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 21 Anand Avati 2015-01-01 12:17:16 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 22 Anand Avati 2015-01-01 12:17:19 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 23 Anand Avati 2015-01-01 12:17:21 UTC
REVIEW: http://review.gluster.org/9359 (core: add generic parser utility) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 24 Anand Avati 2015-01-05 09:00:34 UTC
REVIEW: http://review.gluster.org/9362 (nfs: more fine grained authentication for the MOUNT protocol) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 25 Anand Avati 2015-01-05 09:00:43 UTC
REVIEW: http://review.gluster.org/9363 (nfs: add auth-cache for the MOUNT protocol) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 26 Anand Avati 2015-01-05 09:00:46 UTC
REVIEW: http://review.gluster.org/9360 (nfs: add structures and functions for parsing netgroups) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 27 Anand Avati 2015-01-05 09:00:48 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#11) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 28 Anand Avati 2015-01-05 09:00:51 UTC
REVIEW: http://review.gluster.org/9361 (nfs: add support for separate 'exports' file) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 29 Anand Avati 2015-01-05 09:00:54 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 30 Anand Avati 2015-01-05 09:00:57 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 31 Anand Avati 2015-01-05 09:01:00 UTC
REVIEW: http://review.gluster.org/9359 (core: add generic parser utility) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 32 Anand Avati 2015-01-14 11:36:16 UTC
REVIEW: http://review.gluster.org/9362 (nfs: more fine grained authentication for the MOUNT protocol) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 33 Anand Avati 2015-01-14 11:36:24 UTC
REVIEW: http://review.gluster.org/9363 (nfs: add auth-cache for the MOUNT protocol) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 34 Anand Avati 2015-01-14 11:36:27 UTC
REVIEW: http://review.gluster.org/9360 (nfs: add structures and functions for parsing netgroups) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 35 Anand Avati 2015-01-14 11:36:30 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#12) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 36 Anand Avati 2015-01-14 11:36:33 UTC
REVIEW: http://review.gluster.org/9361 (nfs: add support for separate 'exports' file) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 37 Anand Avati 2015-01-14 11:36:36 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 38 Anand Avati 2015-01-14 11:36:39 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 39 Anand Avati 2015-01-14 11:36:41 UTC
REVIEW: http://review.gluster.org/9359 (core: add generic parser utility) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 40 Anand Avati 2015-03-03 16:15:44 UTC
REVIEW: http://review.gluster.org/9362 (nfs: more fine grained authentication for the MOUNT protocol) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 41 Anand Avati 2015-03-03 16:15:47 UTC
REVIEW: http://review.gluster.org/9363 (nfs: add auth-cache for the MOUNT protocol) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 42 Anand Avati 2015-03-03 16:15:50 UTC
REVIEW: http://review.gluster.org/9360 (nfs: add structures and functions for parsing netgroups) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 43 Anand Avati 2015-03-03 16:15:53 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#13) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 44 Anand Avati 2015-03-03 16:15:56 UTC
REVIEW: http://review.gluster.org/9361 (nfs: add support for separate 'exports' file) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 45 Anand Avati 2015-03-03 16:15:58 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 46 Anand Avati 2015-03-03 16:16:02 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 47 Anand Avati 2015-03-03 16:16:04 UTC
REVIEW: http://review.gluster.org/9359 (core: add generic parser utility) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 48 Anand Avati 2015-03-03 20:31:44 UTC
COMMIT: http://review.gluster.org/9359 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 95d5e60afb29aedc29909340e7564d54a6a247c2
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Jan 1 13:15:45 2015 +0100

    core: add generic parser utility
    
    This generic parser will get used for parsing the netgroups and exports
    files for the Gluster/NFS server. The parsing of netgroups shows how the
    parser can be used (see Change-Id Ie04800d4).
    
    BUG: 1143880
    Change-Id: Id4cf2b0189ef5799c06868d211d3fcd9c8608c08
    Original-author: Shreyas Siravara <shreyas.siravara@gmail.com>
    CC: Richard Wareing <rwareing@fb.com>
    CC: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9359
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 49 Anand Avati 2015-03-09 06:44:05 UTC
REVIEW: http://review.gluster.org/9830 (core : using gluster-like memory allocation and delocation for parser-utility feature.) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 50 Anand Avati 2015-03-09 09:09:31 UTC
REVIEW: http://review.gluster.org/9830 (core : using gluster-like memory allocation and delocation for parse-utility feature.) posted (#2) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 51 Anand Avati 2015-03-09 11:53:34 UTC
REVIEW: http://review.gluster.org/9830 (core : using gluster-like memory allocation for parse-utility feature) posted (#3) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 52 Anand Avati 2015-03-09 17:43:00 UTC
COMMIT: http://review.gluster.org/9830 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 83eab209d82c92a2676d1f794d5d24af0ac5bbab
Author: Jiffin Tony Thottan <jthottan@redhat.com>
Date:   Mon Mar 9 12:07:57 2015 +0530

    core : using gluster-like memory allocation for parse-utility feature
    
    Change-Id: I58dc7e0dc8d4ac4e10795e0536fcd0e1722116ed
    BUG: 1143880
    Signed-off-by: Jiffin Tony Thottan <jthottan@redhat.com>
    Reviewed-on: http://review.gluster.org/9830
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 53 Anand Avati 2015-03-10 22:20:04 UTC
REVIEW: http://review.gluster.org/9360 (nfs: add structures and functions for parsing netgroups) posted (#6) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 54 Anand Avati 2015-03-11 04:01:34 UTC
REVIEW: http://review.gluster.org/9362 (nfs: more fine grained authentication for the MOUNT protocol) posted (#6) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 55 Anand Avati 2015-03-11 04:01:47 UTC
REVIEW: http://review.gluster.org/9363 (nfs: add auth-cache for the MOUNT protocol) posted (#6) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 56 Anand Avati 2015-03-11 04:01:50 UTC
REVIEW: http://review.gluster.org/9360 (nfs: add structures and functions for parsing netgroups) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 57 Anand Avati 2015-03-11 04:01:53 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#14) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 58 Anand Avati 2015-03-11 04:01:56 UTC
REVIEW: http://review.gluster.org/9361 (nfs: add support for separate 'exports' file) posted (#6) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 59 Anand Avati 2015-03-11 04:01:59 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#6) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 60 Anand Avati 2015-03-11 04:02:01 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#6) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 61 Anand Avati 2015-03-11 16:28:00 UTC
COMMIT: http://review.gluster.org/9360 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 02d42a5e80f3e2624eba2d00acff0aaebb20b12f
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Jan 1 13:15:45 2015 +0100

    nfs: add structures and functions for parsing netgroups
    
    Netgroups are often used by enterprises to group a set of systems. The
    NFS /etc/exports file support the @netgroup notation, and Gluster/NFS
    will get extended to support this notation as well. For this, it is
    needed that Gluster/NFS learns to parse the netgroup format.
    
    A change to glusterfsd (Change-Id I24c40d5) will add test cases where
    the parsing is used for regression testing.
    
    BUG: 1143880
    Change-Id: Ie04800d4dc26f99df922c9fcc00845f53291cf4f
    Original-author: Shreyas Siravara <shreyas.siravara@gmail.com>
    CC: Richard Wareing <rwareing@fb.com>
    CC: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9360
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 62 Anand Avati 2015-03-12 03:18:39 UTC
REVIEW: http://review.gluster.org/9362 (nfs: more fine grained authentication for the MOUNT protocol) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 63 Anand Avati 2015-03-12 03:18:44 UTC
REVIEW: http://review.gluster.org/9363 (nfs: add auth-cache for the MOUNT protocol) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 64 Anand Avati 2015-03-12 03:18:46 UTC
REVIEW: http://review.gluster.org/8758 (gNFS: Export / Netgroup authentication on Gluster NFS mount) posted (#15) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 65 Anand Avati 2015-03-12 03:18:49 UTC
REVIEW: http://review.gluster.org/9361 (nfs: add support for separate 'exports' file) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 66 Anand Avati 2015-03-12 03:18:52 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 67 Anand Avati 2015-03-12 03:18:55 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 68 Anand Avati 2015-03-12 03:18:58 UTC
REVIEW: http://review.gluster.org/9860 (nfs: use free() for getline() allocated string in netgroups) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 69 Anand Avati 2015-03-15 07:45:54 UTC
COMMIT: http://review.gluster.org/9361 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 0c3d3a796bda37d8439855baf00137ad17714620
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Jan 1 13:15:45 2015 +0100

    nfs: add support for separate 'exports' file
    
    The Linux kernel NFS server uses /etc/exports to manage permissions for
    the NFS-clients. Extending the Gluster/NFS server to support a similar
    scheme is needed for many deployments in enterprise environments.
    
    BUG: 1143880
    Change-Id: I7e6aa6bc6aa1cd5f52458e023387ed38de9823d7
    Original-author: Shreyas Siravara <shreyas.siravara@gmail.com>
    CC: Richard Wareing <rwareing@fb.com>
    CC: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9361
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 70 Anand Avati 2015-03-15 08:37:31 UTC
COMMIT: http://review.gluster.org/9362 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 1cb3b1abeda53bb430bbe1490fac154337ac9994
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Jan 1 13:15:45 2015 +0100

    nfs: more fine grained authentication for the MOUNT protocol
    
    The /etc/exports format for NFS-exports (see Change-Id I7e6aa6b) allows
    a more fine grained control over the authentication. This change adds
    the functions and structures that will be used in by Change-Id I181e8c1.
    
    BUG: 1143880
    Change-Id: Ic060aac7c52d91e08519b222ba46383c94665ce7
    Original-author: Shreyas Siravara <shreyas.siravara@gmail.com>
    CC: Richard Wareing <rwareing@fb.com>
    CC: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9362
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 71 Anand Avati 2015-03-15 13:21:39 UTC
REVIEW: http://review.gluster.org/9882 (nfs: improve cleanup of 'struct exports_file' to prevent memory leak) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 72 Anand Avati 2015-03-15 13:40:26 UTC
COMMIT: http://review.gluster.org/9363 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit aac1ec0a61d9267b6ae7a280b368dfd357b7dcdc
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Jan 1 13:15:45 2015 +0100

    nfs: add auth-cache for the MOUNT protocol
    
    Authentication cache for the new fine grained contol for the MOUNT
    protocol. The extended authentication (see Change-Id Ic060aac) benefits
    from caching the access/permission checks that are done when an
    NFS-client mounts an export.
    
    This auth-cache will be used by Change-Id I181e8c1.
    
    BUG: 1143880
    Change-Id: I1379116572c8a4d1bf0c7ca4f826e51a79d91444
    Original-author: Shreyas Siravara <shreyas.siravara@gmail.com>
    CC: Richard Wareing <rwareing@fb.com>
    CC: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9363
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 73 Anand Avati 2015-03-15 14:01:43 UTC
COMMIT: http://review.gluster.org/8758 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit aa66b8404f45712c45d75d6a2a37f32e2792cc83
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Jan 1 13:15:45 2015 +0100

    gNFS: Export / Netgroup authentication on Gluster NFS mount
    
    * Parses linux style export file/netgroups file into a structure that
      can be lookedup.
    
    * This parser turns each line into a structure called an "export
      directory". Each of these has a dictionary of hosts and netgroups
      which can be looked up during the mount authentication process.
      (See Change-Id Ic060aac and I7e6aa6bc)
    
    * A string beginning withan '@' is treated as a netgroup and a string
      beginning without an @ is a host.
      (See Change-Id Ie04800d)
    
    * This parser does not currently support all the options in the man page
      ('man exports'), but we can easily add them.
    
    BUG: 1143880
    URL: http://www.gluster.org/community/documentation/index.php/Features/Exports_Netgroups_Authentication
    Change-Id: I181e8c1814d6ef3cae5b4d88353622734f0c0f0b
    Original-author: Shreyas Siravara <shreyas.siravara@gmail.com>
    CC: Richard Wareing <rwareing@fb.com>
    CC: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/8758
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 74 Anand Avati 2015-03-15 14:08:30 UTC
COMMIT: http://review.gluster.org/9860 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2c3b6ab03262108f95d706b9ebaa207b352fc32c
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Mar 11 23:00:09 2015 -0400

    nfs: use free() for getline() allocated string in netgroups
    
    'line' is allocated through getline() which uses malloc(). GF_FREE()
    will fail to release the memory because it can not find the expected
    mem-pool header. Instead of GF_FREE(), free() should be used for strings
    that get allocated with getline().
    
    Subsequent calls to getline() with a non-NULL pointer will get the size
    of the allocation adjusted with realloc().
    
    Change-Id: I612fbf17d7283174d541da6f34d26e4f44e83bfa
    BUG: 1143880
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9860
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 75 Anand Avati 2015-03-15 22:26:17 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#8) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 76 Anand Avati 2015-03-15 22:26:20 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#8) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 77 Anand Avati 2015-03-15 23:12:39 UTC
COMMIT: http://review.gluster.org/9882 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit aaf7cd3c4059167b0f2ba821d14362a977f1d58c
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun Mar 15 14:16:56 2015 +0100

    nfs: improve cleanup of 'struct exports_file' to prevent memory leak
    
    BUG: 1143880
    Change-Id: I359470a1edb935e206eeeecd4de7022530fb397a
    Reported-by: Vijay Bellur <vbellur@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9882
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 78 Anand Avati 2015-03-16 16:19:51 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#9) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 79 Anand Avati 2015-03-16 16:28:26 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#10) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 80 Anand Avati 2015-03-17 15:19:32 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#11) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 81 Anand Avati 2015-03-18 06:26:55 UTC
REVIEW: http://review.gluster.org/9364 (glusterd: add new NFS options for exports/netgroups and related caching) posted (#12) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 82 Anand Avati 2015-03-18 08:24:33 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#9) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 83 Anand Avati 2015-03-18 10:16:46 UTC
COMMIT: http://review.gluster.org/9364 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 89cb6bcc7335a9b5e12febcacc27f762bdcda595
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Jan 1 13:15:45 2015 +0100

    glusterd: add new NFS options for exports/netgroups and related caching
    
    The following options for the Gluster/NFS server are added :
    - nfs.exports-auth-enable
    - nfs.auth-refresh-interval-sec
    - nfs.auth-cache-ttl-sec
    
    BUG: 1143880
    Change-Id: I37a73966c4ed27cd0f8c77200ef68a0d12b385b8
    Original-author: Shreyas Siravara <shreyas.siravara@gmail.com>
    CC: Richard Wareing <rwareing@fb.com>
    CC: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9364
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 84 Anand Avati 2015-03-18 20:57:28 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#10) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 85 Anand Avati 2015-03-19 05:14:55 UTC
REVIEW: http://review.gluster.org/9365 (glusterfsd: add "print-netgroups" and "print-exports" command) posted (#11) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 86 Anand Avati 2015-03-19 05:16:38 UTC
COMMIT: http://review.gluster.org/9365 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a1755ee2765f3d1c9c26d51a49ad63d133932710
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Jan 1 13:15:45 2015 +0100

    glusterfsd: add "print-netgroups" and "print-exports" command
    
    NFS now has the ability to use a separate file for "netgroups" and
    "exports". An administrator should have the ability to check the
    validity of the files before applying the configuration.
    
    The "glusterfsd" command now has the following additional arguments that
    can be used to check the configuration:
    
       --print-netgroups: Validate the netgroups file and print it out
       --print-exports: Validate the exports file and print it out
    
    BUG: 1143880
    Change-Id: I24c40d50110d49d8290f9fd916742f7e4d0df85f
    URL: http://www.gluster.org/community/documentation/index.php/Features/Exports_Netgroups_Authentication
    Original-author: Shreyas Siravara <shreyas.siravara@gmail.com>
    CC: Richard Wareing <rwareing@fb.com>
    CC: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9365
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Vijay Bellur <vbellur@redhat.com>

Comment 87 Anand Avati 2015-03-30 10:37:50 UTC
REVIEW: http://review.gluster.org/10047 (nfs : changes in mount-auth-nfs.t and minor modification in "refresh_auth" param for nfs state) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 88 Anand Avati 2015-03-31 07:29:38 UTC
REVIEW: http://review.gluster.org/10047 (tests : modifcation in mount-auth-nfs.t) posted (#2) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 89 Anand Avati 2015-03-31 14:39:37 UTC
REVIEW: http://review.gluster.org/10047 (tests : modifcation in mount-auth-nfs.t) posted (#3) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 90 Anand Avati 2015-04-08 14:10:32 UTC
REVIEW: http://review.gluster.org/10047 (tests : modifcation in mount-auth-nfs.t) posted (#4) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 91 Anand Avati 2015-04-09 05:01:43 UTC
REVIEW: http://review.gluster.org/10047 (tests : modifcation in mount-auth-nfs.t) posted (#5) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 92 Anand Avati 2015-04-09 05:20:32 UTC
REVIEW: http://review.gluster.org/10047 (tests : modifcation in mount-auth-nfs.t) posted (#6) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 93 Anand Avati 2015-04-09 09:55:34 UTC
COMMIT: http://review.gluster.org/10047 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 9df5fdb357da74de38cb4e8c2cea776023641164
Author: Jiffin Tony Thottan <jthottan@redhat.com>
Date:   Mon Mar 30 16:03:24 2015 +0530

    tests : modifcation in mount-auth-nfs.t
    
    In the previous test script, for every change in export/netgroup file
    the volume is restarted to accodomate those changes. New changes will
    avoid those restarts.
    
    Change-Id: I2a6052075637f8e833096c6b3fcc01139dea85e4
    BUG: 1143880
    Signed-off-by: Jiffin Tony Thottan <jthottan@redhat.com>
    Reviewed-on: http://review.gluster.org/10047
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 94 Anand Avati 2015-05-06 08:33:15 UTC
REVIEW: http://review.gluster.org/10600 (nfs: allocatie the auth_cache->cache_dict on auth_cache_init()) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 95 Niels de Vos 2015-05-14 17:27:44 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 96 Niels de Vos 2015-05-14 17:35:36 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 97 Niels de Vos 2015-05-14 17:37:58 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 98 Niels de Vos 2015-05-14 17:43:54 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 99 Niels de Vos 2016-06-16 12:39:37 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.